//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: 
//
// $NoKeywords: $
//=============================================================================//

#include "cbase.h"
#include "hl2wars/teamcolor_materialproxy.h"
#include "materialsystem/IMaterialVar.h"
#include "materialsystem/ITexture.h"
#include "bitmap/TGALoader.h"
#include "view.h"
#include "datacache/idatacache.h"
#include "materialsystem/IMaterial.h"
#include "vtf/vtf.h"

// memdbgon must be the last include file in a .cpp file!!!
#include "tier0/memdbgon.h"

CTeamColorMaterialProxy::CTeamColorMaterialProxy()
{
	m_pMaterial = NULL;
	m_pEnt = NULL;
}

CTeamColorMaterialProxy::~CTeamColorMaterialProxy()
{

}

bool CTeamColorMaterialProxy::Init( IMaterial *pMaterial, KeyValues *pKeyValues )
{
	// remember what material we belong to.
	m_pMaterial = pMaterial;

	IMaterialVar *pTextureVar = m_pMaterial->FindVar();
	pTextureVar->SetMatrixValue
	
	return true;
}


//-----------------------------------------------------------------------------
// Called when the texture is bound...
//-----------------------------------------------------------------------------
void CTeamColorMaterialProxy::OnBind( C_BaseEntity *pEntity )
{
	m_pEnt = pEntity;	

	//if( m_pEnt )
		//Msg("Bound to entity %s\n", m_pEnt->GetClassname() );
}

IMaterial *CTeamColorMaterialProxy::GetMaterial()
{
	return m_pMaterial;
}

EXPOSE_INTERFACE( CTeamColorMaterialProxy, IMaterialProxy, "TeamColor" IMATERIAL_PROXY_INTERFACE_VERSION );